; -- U-HID Firmware Upgrade Driver.iss --

[Setup]
AppName=U-HID Firmware Upgrade Driver
AppVerName=U-HID Firmware Upgrade Driver 1.0
AppPublisher=Ultimarc
DefaultDirName={pf}\U-HID Firmware Upgrade Driver
DefaultGroupName=U-HID Firmware Upgrade Driver
Compression=lzma
SolidCompression=yes
;LicenseFile=LICENSE.txt
OutputDir=Setup
OutputBaseFilename=U-HIDFirmwareUpgrade
WizardImageFile=WizardImage.bmp
WizardSmallImageFile=WizardSmallImage.bmp

[Files]
Source: "CyUsb.inf"; DestDir: "{app}"; Flags: ignoreversion
Source: "CyUsb.sys"; DestDir: "{app}"; Flags: ignoreversion
Source: "cyusbamd64.cat"; DestDir: "{app}"; Flags: ignoreversion
Source: "CyUsbi64.sys"; DestDir: "{app}"; Flags: ignoreversion
Source: "CyUsbx64.sys"; DestDir: "{app}"; Flags: ignoreversion
Source: "cyusbx86.cat"; DestDir: "{app}"; Flags: ignoreversion
;Source: "LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "Install.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "DeleteDriver.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "amd64\*"; DestDir: "{app}\amd64";   Flags: recursesubdirs createallsubdirs
Source: "i386\*"; DestDir: "{app}\i386"; Flags: recursesubdirs createallsubdirs
Source: "ia64\*"; DestDir: "{app}\ia64"; Flags: recursesubdirs createallsubdirs

[UninstallDelete]
Type: files; Name: "{app}\VJoy.inf"
Type: files; Name: "{app}\VJoy.cat"
Type: files; Name: "{app}\CyUsb.inf"
Type: files; Name: "{app}\CyUsb.sys"
Type: files; Name: "{app}\cyusbamd64.cat"
Type: files; Name: "{app}\CyUsbi64.sys"
Type: files; Name: "{app}\CyUsbx64.sys"
Type: files; Name: "{app}\cyusbx86.cat"
;Type: files; Name: "{app}\LICENSE.txt"
Type: files; Name: "{app}\install.exe"
Type: filesandordirs; Name: "{app}\amd64\*"
Type: filesandordirs; Name: "{app}\i386\*"
Type: filesandordirs; Name: "{app}\ia64\*"

[Run]
Filename: "{app}\DeleteDriver.exe"; WorkingDir: "{app}"; Parameters: """U-HID Firmware upgrade"""
Filename: "{app}\Install.exe"; WorkingDir: "{app}"; Parameters: "devcon.exe remove CyUsb.inf USB\VID_d209&PID_0750"
Filename: "{app}\Install.exe"; WorkingDir: "{app}"; Parameters: "devcon.exe install CyUsb.inf USB\VID_d209&PID_0750"

[UninstallRun]
Filename: "{app}\Install.exe"; WorkingDir: "{app}"; Parameters: "devcon.exe remove CyUsb.inf USB\VID_d209&PID_0750"
Filename: "{app}\DeleteDriver.exe"; WorkingDir: "{app}"; Parameters: """U-HID Firmware upgrade"""

[Icons]
;Name: "{group}\License"; Filename: "{app}\LICENSE.txt"
Name: "{group}\Uninstall U-HID Firmware Upgrade"; Filename: "{app}\unins000.exe"
